version: '3.7'

services:
  main:
    image: jorge1407/musictape-likes
    container_name: musictape-likes
    build:
      context: .
      target: development
    volumes:
      - .:/usr/src/app
      - /usr/src/app/node_modules
    env_file:
      - dev.env
    ports:
      - "80:80"
    command: npm run start:dev
    depends_on:
      - mysql
  mysql:
    container_name: mysql
    image: mysql:5.7
    env_file:
      - mysql.env
    volumes:
      - like-db:/var/lib/mysql
volumes:
  like-db:
